Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class Area3DPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.Area3DPtg

public class Area3DPtg
extends Ptg

Title: Area 3D Ptg - 3D referecnce (Sheet + Area)

Description: Defined a area in Extern Sheet.

REFERENCE:

Version:
  1.0-pre
Author:
  Libin Roman (Vista Portal LDT. Developer), avik, Jason Height (jheight at chariot dot net dot au)

Field Summary
`static byte` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`Area3DPtg()` Creates new AreaPtg
`Area3DPtg(byte[] data, int offset)`
`Area3DPtg(java.lang.String arearef, short externIdx)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`byte` | `getDefaultOperandClass()`
`short` | `getExternSheetIndex()`
`short` | `getFirstColumn()`
`short` | `getFirstColumnRaw()`
`short` | `getFirstRow()`
`short` | `getLastColumn()`
`short` | `getLastColumnRaw()`
`short` | `getLastRow()`
`int` | `getSize()`
`int` | `hashCode()`
`boolean` | `isFirstColRelative()`
`boolean` | `isFirstRowRelative()`
`boolean` | `isLastColRelative()`
`boolean` | `isLastRowRelative()`
`void` | `setArea(java.lang.String ref)`
`void` | `setExternSheetIndex(short index)`
`void` | `setFirstColRelative(boolean rel)` set whether the first column is relative
`void` | `setFirstColumn(short column)`
`void` | `setFirstColumnRaw(short column)`
`void` | `setFirstRow(short row)`
`void` | `setFirstRowRelative(boolean rel)` sets the first row to relative or not
`void` | `setLastColRelative(boolean rel)` set whether the last column should be relative or not
`void` | `setLastColumn(short column)`
`void` | `setLastColumnRaw(short column)`
`void` | `setLastRow(short row)`
`void` | `setLastRowRelative(boolean rel)` set whether the last row is relative or not
`java.lang.String` | `toFormulaString(Workbook book)` return a string representation of this token alone
`java.lang.String` | `toString()` Overridden toString method to ensure object hash is not printed.
`void` | `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### Area3DPtg

    public Area3DPtg()

  Creates new AreaPtg

### Area3DPtg

    public Area3DPtg(java.lang.String arearef,
                     short externIdx)

### Area3DPtg

    public Area3DPtg(byte[] data,
                     int offset)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`

### getExternSheetIndex

    public short getExternSheetIndex()

### setExternSheetIndex

    public void setExternSheetIndex(short index)

### getFirstRow

    public short getFirstRow()

### setFirstRow

    public void setFirstRow(short row)

### getLastRow

    public short getLastRow()

### setLastRow

    public void setLastRow(short row)

### getFirstColumn

    public short getFirstColumn()

### getFirstColumnRaw

    public short getFirstColumnRaw()

### isFirstRowRelative

    public boolean isFirstRowRelative()

### isFirstColRelative

    public boolean isFirstColRelative()

### setFirstColumn

    public void setFirstColumn(short column)

### setFirstColumnRaw

    public void setFirstColumnRaw(short column)

### getLastColumn

    public short getLastColumn()

### getLastColumnRaw

    public short getLastColumnRaw()

### isLastRowRelative

    public boolean isLastRowRelative()

### isLastColRelative

    public boolean isLastColRelative()

### setLastColumn

    public void setLastColumn(short column)

### setLastColumnRaw

    public void setLastColumnRaw(short column)

### setFirstRowRelative

    public void setFirstRowRelative(boolean rel)

  sets the first row to relative or not

### setFirstColRelative

    public void setFirstColRelative(boolean rel)

  set whether the first column is relative

### setLastRowRelative

    public void setLastRowRelative(boolean rel)

  set whether the last row is relative or not

### setLastColRelative

    public void setLastColRelative(boolean rel)

  set whether the last column should be relative or not

### setArea

    public void setArea(java.lang.String ref)

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.